Transaction List
GET/rest/transactions
/rest/transactionsReturns a list of transactions for the merchant. By default, it will respond with 50 transactions. You can use query parameters to adjust the time-frame to get a list of transactions for a given period.
Query Parameters
fromStringOptional earliest date in
ISO-8601, e.g. 2016-10-05T17:50:28+02:00toStringOptional latest date in
ISO-8601, e.g. 2016-10-05T18:50:28+02:00statusStringOptional status code or a comma-separated list of status codes, e.g.
status=3 or status=2,3currencyStringOptional 3-letter currency code (
ISO 4217)order_idStringOptional merchant's order ID
Example Request
GET /rest/transactions?from=2016-10-05T17:50:28+02:00&to=2016-10-26T18:00:00+02:00&status=3¤cy=EUR&order_id=145000188
Transaction List Response
Response will include a collection of JSON objects.
transaction_idStringID of the transaction
created_atStringTimestamp of when the transaction was created
updated_atStringTimestamp of the last update to the transaction
status_codeIntegerstatusStringamountFloatAmount used in this transaction
currencyStringCode of the currency that has been used
order_idStringMerchant's order ID
recurringIntegerWhether this is a recurring transaction (
0 or 1)sepa_mandateStringMandate Reference Number (max. 35 characters)
parent_idStringTransaction ID of the parent, usually available for recurring transactions
payment_methodStringPayment method used for the transaction
messageStringMessage about the transaction
sepa_msg_idStringSEPA message ID
captured_amountFloatCaptured amount, if exists
additional_transaction_dataStringAdditional data provided by you during payment creation
Example Response
[
{
"transaction_id": "4927d679-7695-4a31-a901-e89dcfed3d43",
"created_at": "2016-10-26T16:04:33.901+02:00",
"updated_at": "2016-10-26T16:05:00.897+02:00",
"status_code": 3,
"status": "completed",
"amount": 612.85,
"currency": "EUR",
"order_id": "145000188",
"recurring": 0,
"sepa_mandate": null,
"parent_id": null,
"payment_method": "cardecom",
"message": "AUTH performed successfully.",
"sepa_msg_id": null,
"captured_amount": null,
"additional_transaction_data": null
},
{
"transaction_id": "07c8b0a4-186f-4b56-a929-17d13b29c695",
"created_at": "2016-10-26T16:03:06.394+02:00",
"updated_at": "2016-10-26T16:03:06.416+02:00",
"status_code": 3,
"status": "completed",
"amount": 10.0,
"currency": "EUR",
"order_id": null,
"recurring": 0,
"sepa_mandate": null,
"parent_id": null,
"payment_method": "wero",
"message": null,
"sepa_msg_id": null,
"captured_amount": null,
"additional_transaction_data": null
}
]